%define major 19
%define glibmajor 8
%define qt4major 3
%define cppmajor 0
%define girmajor 0.18

%define libname		%mklibname %name %major
%define libnameglib	%mklibname %name-glib %glibmajor
%define libnameqt4	%mklibname %name-qt4- %qt4major
%define libnamecpp	%mklibname %name-cpp %cppmajor
%define libnamedev	%mklibname -d %name
%define libnameglibdev	%mklibname -d %name-glib
%define libnameqt4dev	%mklibname -d %name-qt4
%define libnamecppdev   %mklibname -d %name-cpp
%define libnamegir	%mklibname %{name}-gir %{girmajor}

Name:		poppler
Summary: 	PDF rendering library
Group:		Office
Version:	0.18.4
Release:	%mkrel 2
License:	GPLv2+
URL:		http://poppler.freedesktop.org
Source:		http://poppler.freedesktop.org/%{name}-%{version}.tar.gz
## upstreamable patches
Patch1:		poppler-0.12-CVE-2009-3608,3609.patch
Patch2:		poppler-0.18.1-glib-2.31.patch
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(cairo) >= 1.8.4
BuildRequires:	jpeg-devel
BuildRequires:	openjpeg-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(lcms)
BuildRequires:	libtiff-devel
Obsoletes:	xpdf-tools < 3.02-10mdv
Provides:	xpdf-tools
Obsoletes:	pdftohtml
Provides:	pdftohtml

%description
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libname}
Summary:	PDF rendering library
Group:          System/Libraries
Conflicts:	%{_lib}poppler12
Suggests:	poppler-data

%description -n %{libname}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n %{libnamedev}
Development files for %{name}

%package -n %{libnamecpp}
Summary:	PDF rendering library - C++ backend
Group:          System/Libraries

%description -n %{libnamecpp}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the C++ backend version.

%package  -n %{libnameqt4dev}
Summary:    Development files for %{name}-qt4
Group:      Development/C++
Provides:   %{name}-qt4-devel = %{version}-%{release}
Requires:   %{libnameqt4} = %{version}
Requires:   %{libnamedev} = %{version}
Obsoletes:  %{libnameqt4}-devel

%description -n %{libnameqt4dev}
Development files for %{name}-qt4

%package -n %{libnameqt4}
Summary:    PDF rendering library - Qt4 backend
Group:          System/Libraries

%description -n %{libnameqt4}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.
This is the Qt4 backend version.


%package -n %{libnameglib}
Summary:	PDF rendering library - glib binding
Group:          System/Libraries
Conflicts:	%{libname} < %{version}-%{release}
Conflicts:	%{name}-gir0.16 < 0.16.6

%description -n %{libnameglib}
Poppler is a PDF rendering library based on the xpdf-3.0 code base.

%package -n %{libnamegir}
Summary:	Gobject-introspection files for %{name}
Group:		System/Libraries
Obsoletes:	%{name}-gir0.16 < 0.16.6
Requires:	%{libnameglib} = %{version}

%description -n %{libnamegir}
Gobject-introspection files for %{name}.

%package -n %{libnameglibdev}
Summary:	Development files for %{name}'s glib binding
Group:		Development/C++
Provides:	%{name}-glib-devel = %{version}-%{release}
Requires:	%{libnameglib} = %{version}
Requires:	%{libnamedev} = %{version}
Conflicts:	%{libnamedev} < %{version}-%{release}
Obsoletes:	%{libnameglib}-devel

%description -n %{libnameglibdev}
Development files for %{name}'s glib binding.

%package -n %{libnamecppdev}
Summary:	Development files for %{name}-cpp
Group:		Development/C++
Provides:	%{name}-cpp-devel = %{version}-%{release}
Requires:	%{libnamecpp} = %{version}
Requires:	%{libnamedev} = %{version}

%description -n %{libnamecppdev}
Development files for %{name}-cpp.

%prep
%setup -q
%patch1 -p0 -b .cve-2009-3608,3609.patch
%patch2 -p0 -b .glib2.31

%build
autoreconf -fi
%configure2_5x --disable-static \
	--enable-cairo-output \
	--enable-libopenjpeg \
	--enable-poppler-qt4 \
	--enable-xpdf-headers \
	--enable-gtk-doc
%make

%install
%makeinstall_std
%{__cp} -a config.h %{buildroot}%{_includedir}/poppler/

find %{buildroot} -name '*.la' | xargs rm

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libpoppler.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/libpoppler.so
%dir %{_includedir}/poppler/
%{_includedir}/poppler/config.h
%{_includedir}/poppler/[A-Z]*
%{_includedir}/poppler/fofi
%{_includedir}/poppler/goo
%{_includedir}/poppler/splash
%{_includedir}/poppler/poppler-config.h
%{_libdir}/pkgconfig/poppler-cairo.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%{_libdir}/pkgconfig/poppler.pc
%{_datadir}/gtk-doc/html/%{name}/

%files -n %{libnameglib}
%{_libdir}/libpoppler-glib.so.%{glibmajor}*

%files -n %{libnamegir}
%_libdir/girepository-1.0/Poppler-%{girmajor}.typelib

%files -n %{libnameglibdev}
%{_libdir}/libpoppler-glib.so
%{_libdir}/pkgconfig/poppler-glib.pc
%{_includedir}/poppler/glib/
%{_datadir}/gir-1.0/Poppler-%{girmajor}.gir

%files -n %{libnameqt4dev}
%{_includedir}/poppler/qt4/
%{_libdir}/pkgconfig/poppler-qt4.pc
%{_libdir}/libpoppler-qt4.so

%files -n %{libnameqt4}
%{_libdir}/libpoppler-qt4.so.%{qt4major}*

%files -n %{libnamecpp}
%{_libdir}/libpoppler-cpp.so.%{cppmajor}*

%files -n %{libnamecppdev}
%{_libdir}/libpoppler-cpp.so
%{_libdir}/pkgconfig/poppler-cpp.pc
%{_includedir}/poppler/cpp


%changelog

* Thu Apr 12 2012 fwang <fwang> 0.18.4-2.mga2
+ Revision: 230355
- rebuild for new openjpeg

* Fri Feb 17 2012 fwang <fwang> 0.18.4-1.mga2
+ Revision: 210041
- new version 0.18.4

* Sun Jan 22 2012 fwang <fwang> 0.18.3-1.mga2
+ Revision: 199554
- new version 0.18.3

* Fri Dec 23 2011 fwang <fwang> 0.18.2-2.mga2
+ Revision: 186472
- rebuild for new libtiff

* Wed Dec 07 2011 fwang <fwang> 0.18.2-1.mga2
+ Revision: 178134
- new version 0.18.2

* Fri Oct 28 2011 fwang <fwang> 0.18.1-1.mga2
+ Revision: 158949
- br gettext-devel
- fix pkgconfig file of poppler-glib
- do not promote qt4 path now
- update major
- drop deprecated symbol of glib 2.31
- drop old switch
- new version 0.18.1

* Fri Oct 07 2011 fwang <fwang> 0.18.0-3.mga2
+ Revision: 152633
- force build with openjpeg

* Fri Oct 07 2011 fwang <fwang> 0.18.0-2.mga2
+ Revision: 152611
- rebuild for new openjpeg

* Tue Sep 27 2011 ovitters <ovitters> 0.18.0-1.mga2
+ Revision: 149334
- new version 0.18.0

* Sat Sep 10 2011 fwang <fwang> 0.16.7-3.mga2
+ Revision: 142216
- do not ship .la files
- rebuild for new libpng

  + ze <ze>
    - fix provides
    - arranhe spec

* Sat Jul 16 2011 ahmad <ahmad> 0.16.7-2.mga2
+ Revision: 124675
- Drop the Qt3 bits, Qt3 has been dead for some time now
- The gir package should require %%libnameglib, not the other way around
- Convert the BR to pkgconfig style
- -devel packages now only provide %%{name}-*-devel

* Mon Jul 04 2011 ahmad <ahmad> 0.16.7-1.mga2
+ Revision: 118007
- Update to 0.16.7
- Add (optional) BR lcms-devel

* Mon Jun 13 2011 ahmad <ahmad> 0.16.6-1.mga2
+ Revision: 105874
- Update to 0.16.6
- libify the gir typelib sub-package

* Thu May 12 2011 pterjan <pterjan> 0.16.5-1.mga1
+ Revision: 97383
- Update to 0.16.5 (bugfix release)

* Mon Apr 04 2011 ahmad <ahmad> 0.16.4-1.mga1
+ Revision: 80490
- update to 0.16.4
- move %%_datadir/gir-1.0/Poppler-%%{girmajor}.gir to %%{libnameglib} (Fedora)
- make the gir sub-package require %%{libnameglib}
- make the glib lib sub-package require %%{namegir} >= %%{version}
- split Poppler-*.typelib in a separate package to ease poppler major updates

* Mon Mar 28 2011 blino <blino> 0.16.3-3.mga1
+ Revision: 78257
- add back conflicts, needed because of girepository-1.0/Poppler-0.16.typelib

* Mon Mar 28 2011 tv <tv> 0.16.3-2.mga1
+ Revision: 78239
- cleanup: remove bogus conflicts that defeats libification purpose

* Sat Mar 26 2011 pterjan <pterjan> 0.16.3-1.mga1
+ Revision: 77778
- Update to 0.16.3

* Sat Jan 15 2011 ahmad <ahmad> 0.16.0-2.mga1
+ Revision: 19344
- drop old/uneeded macros
- disable qt3support
- drop an old conflict with xpdf
- imported package poppler

